Valine – 修复新版 Edge 被识别为 Chrome

13-04-2020
最近更新于:2022-06-16 00:11:58

Valine – 修复新版 Edge 浏览器识别为 Chrome

Valine v1.4.0 起官网已修复该问题,见 Valine v1.4.0 更新日志

自 Edge 更换 Chromium 内核以来就一直在用 新版 Edge,之前也有发现过这个bug,不过已经有相关 issues 了。今天想起来就去官网看了下其更新内容,顺便也好做下修改记录。

目前还在使用低于官网最新的版本(如 v1.3.10 )可打开 Valine.min.js 查找以下字符串: Edge:e.indexOf("Edge")>-1,

修改替换为:

    Edge:e.indexOf("Edge")>-1||e.indexOf("Edg")>-1,

其实就是增加了对新版本 User-Agent 里的 edg 做判断,而老版本使用 Edge 来判断仍是可用的。

以上,有问题可在评论反馈。


评论留言

既来之则留之,欢迎在下方留言评论。提交评论后还可以撤销或重新编辑,未发布的留言会被储存在本地以供下次继续编辑(Valine 会自动保存您的评论信息到浏览器)